petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMumpsSetIcntl

Set MUMPS parameter ICNTL()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsSetIcntl(Mat F,PetscInt icntl,PetscInt ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| icntl | - index of MUMPS parameter array ICNTL()
| ival | - value of MUMPS ICNTL(icntl)

### Options Database

-mat_mumps_icntl_<icntl> <ival> -

### References

MUMPS Users' Guide -

### See Also

MatGetFactor(), MatMumpsSetICntl(), MatMumpsGetIcntl(), MatMumpsSetCntl(), MatMumpsGetCntl(), MatMumpsGetInfo(), MatMumpsGetInfog(), MatMumpsGetRinfo(), MatMumpsGetRinfog()

### Level

beginner

### Location

src/mat/impls/aij/mpi/mumps/mumps.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F90.html

### Implementations

MatMumpsSetIcntl_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages